de.dhbwstuttgart.syntaxtree.type

## Class Void

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.type.Type
    - - de.dhbwstuttgart.syntaxtree.type.ObjectType
      - - de.dhbwstuttgart.syntaxtree.type.RefTypeOrTPHOrWildcardOrGeneric
        - - de.dhbwstuttgart.syntaxtree.type.Void

- All Implemented Interfaces:
    IItemWithOffset, IMatchable

      public class Void
      extends RefType

- - ### Field Summary

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.type.Type

      `name, used`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Void(SyntaxTreeNode parent, int offset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Type` | `checkTYPE(TypeAssumptions ass, SyntaxTreeNode method)`
    `Void` | `clone()` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
    `boolean` | `equals(java.lang.Object obj)` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
    `ConstraintType` | `TYPE(TypeAssumptions ass, SyntaxTreeNode parent)` PrÃ¼ft ob der Typ in den Assumptions ass vorhanden ist.

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.type.RefType

      `add_Parameter, applyResultSet, Equiv2Equal, findGenericType, GenericTypeVar2TypePlaceholder, get_Name, get_ParaList, getChildren, getInvolvedTypePlaceholder, getMatchType, getName, getParaList, getParaN, getPrimitiveFlag, getSimpleName, getSuperWildcardTypes, getTypeName, getUnresolvedTPH, GTV2TPH, hashCode, is_Equiv, IsArray, isTV, parserPostProcessing, printJavaCode, set_ParaList, setArray, setName, setName, setPrimitiveFlag, toString, Type2Key, Type2String`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.type.Type

      `get_UsedId, getOffset, getVariableLength, involves, set_UsedId, setOffset`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, seesType`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Void

          public Void(SyntaxTreeNode parent,
                      int offset)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
      Overrides:
        `equals` in class `RefType`
      Parameters:
        `Object` -
      Returns:

    - #### clone

          public Void clone()

      Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
      Overrides:
        `clone` in class `RefType`
      Returns:

    - #### TYPE

          public ConstraintType TYPE(TypeAssumptions ass,
                                     SyntaxTreeNode parent)

      Description copied from class: `Type`
      PrÃ¼ft ob der Typ in den Assumptions ass vorhanden ist. Dabei kann eine neue Instanz eines Typs entstehen, welche von der Methode zurÃ¼ckgegeben wird.
      Overrides:
        `TYPE` in class `RefType`
      Parameters:
        `ass` - - Die Assumptions fÃ¼r den jeweiligen Kontext in dem sich der Typ befindet. public ConstraintType checkType(TypeAssumptions ass, SyntaxTreeNode parent){ ConstraintType t = ass.getTypeFor(this, this); if(t==null) throw new TypeinferenceException("Der Typ "+this.getName()+" ist nicht korrekt", parent); return t; }

    - #### checkTYPE

          public Type checkTYPE(TypeAssumptions ass,
                                SyntaxTreeNode method)

      Overrides:
        `checkTYPE` in class `RefType`